<?php

namespace App\Classes\Modules\Accounts\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;

class CrossAuthenticationCredentialsObject implements DataTransferObject
{

    /** @var string */
    private $access_token;

    /** @var string */
    private $platform;

    /**
     * CrossAuthenticationCredentialsObject constructor.
     * @param string $access_token
     * @param string $platform
     */
    public function __construct(string $access_token, int $platform)
    {
        $this->access_token = $access_token;
        $this->platform = $platform;
    }

    /**
     * @return string
     */
    public function getAccessToken(): string
    {
        return $this->access_token;
    }

    /**
     * @return string
     */
    public function getPlatform(): int
    {
        return $this->platform;
    }
}